<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    tools:context="com.zj365.health.fragment.tongue.TongueDiagnosisInfoFragment">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clIng"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        >
        <ImageView
            android:id="@+id/ivIng"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginHorizontal="62dp"
            android:layout_marginTop="122dp"
            app:layout_constraintDimensionRatio="252:149"
            android:src="@mipmap/zanwu"
            />

        <TextView
            android:id="@+id/tvIng"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="暂无内容"
            android:textColor="@color/col_313"
            android:textSize="@dimen/dp_16"
            android:textStyle="bold"
            app:layout_constraintTop_toBottomOf="@id/ivIng"
            app:layout_constraintStart_toStartOf="@id/ivIng"
            app:layout_constraintEnd_toEndOf="@id/ivIng"
            android:layout_marginTop="@dimen/dp_30"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="舌诊预判中，请耐心等待"
            android:textColor="@color/col_C7C"
            android:textSize="@dimen/dp_14"
            app:layout_constraintTop_toBottomOf="@id/tvIng"
            app:layout_constraintStart_toStartOf="@id/tvIng"
            app:layout_constraintEnd_toEndOf="@id/tvIng"
            android:layout_marginTop="16dp"
            />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clSuccess"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        >
        <ImageView
            android:id="@+id/ivSuccess"
            android:layout_width="64dp"
            android:layout_height="64dp"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            android:layout_marginTop="174dp"
            android:scaleType="fitXY"
            android:src="@mipmap/ic_pay_success"
            />

        <TextView
            android:id="@+id/tvSuccess"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="预判成功，您无需问诊"
            android:textColor="@color/col_313"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold"
            app:layout_constraintTop_toBottomOf="@id/ivSuccess"
            app:layout_constraintStart_toStartOf="@id/ivSuccess"
            app:layout_constraintEnd_toEndOf="@id/ivSuccess"
            android:layout_marginTop="@dimen/dp_30"
            />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.ruffian.library.widget.RConstraintLayout
        android:id="@+id/clQuestion"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:background_normal="@color/white"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toTopOf="@id/tvSubmit"
        app:corner_radius="8dp"
        android:layout_marginHorizontal="@dimen/dp_12"
        android:layout_marginTop="@dimen/dp_12"
        android:layout_marginBottom="@dimen/dp_12"
        >
        <com.ruffian.library.widget.RView
            android:id="@+id/view"
            android:layout_width="@dimen/dp_4"
            android:layout_height="@dimen/dp_20"
            app:corner_radius="@dimen/dp_2"
            app:background_normal="@color/col_02c"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginStart="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_22"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="填写问卷"
            android:textColor="@color/col_313"
            android:textSize="@dimen/dp_16"
            android:textStyle="bold"
            app:layout_constraintTop_toTopOf="@id/view"
            app:layout_constraintBottom_toBottomOf="@id/view"
            app:layout_constraintStart_toEndOf="@id/view"
            android:layout_marginStart="@dimen/dp_10"
            />
        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerViewQuestion"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/view"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginTop="@dimen/dp_20"
            />



    </com.ruffian.library.widget.RConstraintLayout>

    <TextView
        android:id="@+id/tvSubmit"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginHorizontal="@dimen/dp_24"
        android:layout_marginBottom="@dimen/dp_26"
        android:layout_marginTop="10dp"
        android:background="@drawable/shape_button_bg"
        android:gravity="center"
        android:textSize="@dimen/sp_18"
        android:text="提交"
        android:textColor="@color/white"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        />

</androidx.constraintlayout.widget.ConstraintLayout>